
Redmine - Feature #20404

REST API support for project files (attachments)

2015-07-24 21:19 - Heiko Robert

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

The files tab is a nice mechanism to provide any compiled artefacts by version. Unfortunately there is no REST-API support for at

least downloadig (uploading would be perfect). e.g.

file list in that project from version_Id=3

GET /projects/redmine/files?version_id=3

get file with id

GET /projects/redmine/files/123

get file with name

GET /projects/redmine/files/redmine.jar

get file with name from version

GET /projects/redmine/files/redmine.jar?version_id=3

Related issues:

Is duplicate of Redmine - Feature #7725: REST API for files Closed 2011-02-25

History

#1 - 2015-07-24 21:29 - Heiko Robert

Maybe easier to implement to reuse the logic from the page:

GET /projects/redmine/files.xml

GET /projects/redmine/files.xml?version_id=123

#2 - 2015-07-25 06:26 - Mischa The Evil

- Is duplicate of Feature #7725: REST API for files added

#3 - 2015-07-25 06:29 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #7725. See also its related issues #13800 and #19116.
